##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

[galera]
# Mandatory Options
wsrep_on=ON
wsrep_provider=/usr/lib/galera/libgalera_smm.so
wsrep_cluster_name="{{ install_mariadb__galera_cluster.clustername }}"
wsrep_node_name="{{ install_mariadb__galera_cluster.node_name }}"
wsrep_sst_method=rsync
binlog_format=row
default_storage_engine=InnoDB
innodb_autoinc_lock_mode=2
innodb_buffer_pool_size=128M

# Network Ports
wsrep_node_address="{{ install_mariadb__node_address }}"
bind-address="{{ install_mariadb.bind }}"
wsrep_cluster_address="gcomm://{{ install_mariadb__galera_cluster.node_list | join(',') }}"
